org.apache.maven.scm.tck.command.blame

## Class BlameCommandTckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.apache.maven.scm.ScmTestCase
        - - org.apache.maven.scm.ScmTckTestCase
          - - org.apache.maven.scm.tck.command.blame.BlameCommandTckTest

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  GitBlameCommandTckTest, SvnBlameCommandTckTest

    public abstract class BlameCommandTckTest
    extends ScmTckTestCase

Author:
  Evgeny Mandrikov

### Field Summary

### Fields inherited from class org.apache.maven.scm.ScmTestCase

`GMT_TIME_ZONE`

### Constructor Summary

Constructors
Constructor and Description
`BlameCommandTckTest()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `assertDateBetween(Date start, Date end, Date actual)`
`protected boolean` `isTestDateTime()`
`void` `testBlameCommand()`
`protected abstract void` `verifyResult(BlameScmResult result)`

### Methods inherited from class org.apache.maven.scm.ScmTckTestCase

`addToWorkingTree, checkIn, checkOut, edit, getScmFileNames, getScmRepository, getScmUrl, initRepo, mapFilesByPath, removeRepo, setUp, tearDown`

### Methods inherited from class org.apache.maven.scm.ScmTestCase

`assertCommandLine, assertFile, assertPath, assertResultIsSuccess, deleteDirectory, execute, getAssertionCopy, getCustomConfiguration, getDate, getDate, getDate, getModule, getRepository, getRepositoryRoot, getScmFileSet, getScmManager, getSecDispatcher, getUpdatingCopy, getWorkingCopy, getWorkingDirectory, isSystemCmd, makeDirectory, makeFile, makeFile, makeScmRepository, printOutputError, setDebugExecute`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeComponentConfiguration, customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setupContainer`

### Methods inherited from class junit.framework.TestCase

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BlameCommandTckTest

    public BlameCommandTckTest()

### Method Detail

#### testBlameCommand

    public void testBlameCommand()
                          throws Exception

Throws:
  `Exception`

#### isTestDateTime

    protected boolean isTestDateTime()

#### assertDateBetween

    protected void assertDateBetween(Date start,
                                     Date end,
                                     Date actual)

#### verifyResult

    protected abstract void verifyResult(BlameScmResult result)